%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate libc

Name:           rust-libc
Version:        0.2.155
Release:    1%{?dist}
Summary:        Raw FFI bindings to platform libraries like libc

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/libc
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  glibc-devel

%global _description %{expand:
Raw FFI bindings to platform libraries like libc.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       glibc-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+align-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+align-devel %{_description}

This package contains library source intended for building other packages which
use the "align" feature of the "%{crate}" crate.

%files       -n %{name}+align-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const-extern-fn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const-extern-fn-devel %{_description}

This package contains library source intended for building other packages which
use the "const-extern-fn" feature of the "%{crate}" crate.

%files       -n %{name}+const-extern-fn-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+extra_traits-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+extra_traits-devel %{_description}

This package contains library source intended for building other packages which
use the "extra_traits" feature of the "%{crate}" crate.

%files       -n %{name}+extra_traits-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use_std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_std-devel %{_description}

This package contains library source intended for building other packages which
use the "use_std" feature of the "%{crate}" crate.

%files       -n %{name}+use_std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.155-1
- initial build
